// Copyright (c) 2023, JINGROW
// For license information, please see license.txt

jingrow.ui.form.on('Serial Console Log', {
	refresh(frm) {
		jingrow.realtime.off('serial_console_log_update');
		jingrow.realtime.on('serial_console_log_update', (message) => {
			if (message.name == frm.pg.name) {
				frm.set_value('output', message.output);
			}
		});
	},
});
